Seer Somak:
Kiruna, the amazon of Urutu! I shall tell you about she who knew no fear even in front of the hundreds and thousands of monsters.
When the war between devil beleth and the Elmoreden empire broke, we Orcs sent out a crack contingent at the request of the Human emperor! While the weak Human soldiers were busy running away from the dark troop of beleth, Kiruna alone roared out victory and knocked down hundreds of undead and struck death Knight Mordreous to death!
Seer Racoy of Gludio town will tell you more about Kiruna the brave! Hurry to meet him! He will tell you where you can find the bones of Kiruna!
Return